# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "microsandbox"
version = "0.3.12"
authors = ["Super Rad Company <development@superrad.company>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "`microsandbox` is the core library for the microsandbox project."
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/superradcompany/microsandbox"

[features]
default = [
    "prebuilt",
    "net",
]
net = [
    "dep:microsandbox-network",
    "microsandbox-runtime/net",
]
prebuilt = [
    "microsandbox-filesystem/prebuilt",
    "microsandbox-runtime/prebuilt",
]

[lib]
name = "microsandbox"
path = "lib/lib.rs"

[dependencies.bytes]
version = "1.9"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.crossterm]
version = "0.29.0"
features = ["events"]

[dependencies.dirs]
version = "6.0"

[dependencies.docker_credential]
version = "1.3.2"

[dependencies.flate2]
version = "1.0"

[dependencies.futures]
version = "0.3"

[dependencies.libc]
version = "0.2"

[dependencies.microsandbox-db]
version = "0.3.12"

[dependencies.microsandbox-filesystem]
version = "0.3.12"
default-features = false

[dependencies.microsandbox-image]
version = "0.3.12"

[dependencies.microsandbox-migration]
version = "0.3.12"

[dependencies.microsandbox-network]
version = "0.3.12"
optional = true

[dependencies.microsandbox-protocol]
version = "0.3.12"

[dependencies.microsandbox-runtime]
version = "0.3.12"
default-features = false

[dependencies.microsandbox-utils]
version = "0.3.12"

[dependencies.nix]
version = "0.30"
features = [
    "process",
    "signal",
]

[dependencies.reqwest]
version = "0.13"
features = [
    "json",
    "stream",
]

[dependencies.scopeguard]
version = "1.2"

[dependencies.sea-orm]
version = "1.1"
features = [
    "macros",
    "runtime-tokio-rustls",
    "sqlx-sqlite",
    "with-chrono",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tar]
version = "0.4"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.42"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.typed-builder]
version = "0.23"

[dependencies.which]
version = "8"

[dev-dependencies.tempfile]
version = "3.15"

[build-dependencies.flate2]
version = "1.0"

[build-dependencies.tar]
version = "0.4"

[build-dependencies.ureq]
version = "3"

[target.'cfg(target_os = "linux")'.dependencies.keyring]
version = "3.6.3"
features = [
    "linux-native-sync-persistent",
    "crypto-rust",
]

[target.'cfg(target_os = "macos")'.dependencies.keyring]
version = "3.6.3"
features = ["apple-native"]

[target.'cfg(target_os = "windows")'.dependencies.keyring]
version = "3.6.3"
features = ["windows-native"]
